Subject: Re: bug#66256: sorting NAN values with "general-numeric’

From: Paul Eggert <[email-masked]>
Date: Thu, 28 Sep 2023 13:44:50 -0700

On my long list of things to do is to have sort -g sort more 
deterministically with NaNs. This could be done with the new totalorder 
and totalorderl functions in C23 Annex F.10.12.1, if available. The fix 
would not be portable (a these functions are newly sort-of-standardized 
and are often not available) but it should be better than nothing.

Of course the other problem is that there's no standard textual 
representation of NaN payloads (i.e., their fractions).